Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ini_csts.F90	(revision 5098)
@@ -78,13 +78,7 @@
 !IF (LHOOK) CALL DR_HOOK('INI_CSTS',0,ZHOOK_HANDLE)
 
-!#ifdef SFX_MNH
-!#ifdef MNH_MPI_DOUBLE_PRECISION
 XSURF_TINY    = 1.0e-80
 !#else
-!XSURF_TINY    = TINY    (XSURF_TINY    )
-!#endif
-!#else
 XSURF_TINY    = 1.0e-80
-!#endif
 XSURF_TINY_12 = SQRT    (XSURF_TINY    )
 XSURF_EPSILON = EPSILON (XSURF_EPSILON ) * 10.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90	(revision 5098)
@@ -0,0 +1,41 @@
+! TODO: REPLACE YOMCST.h ONCE .F -> .f90 !
+
+module lmdz_yomcst
+  ! A1.0 Fundamental constants
+  REAL RPI, RCLUM, RHPLA, RKBOL, RNAVO
+  ! A1.1 Astronomical constants
+  REAL RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA
+  ! A1.1.bis Constantes concernant l'orbite de la Terre:
+  REAL R_ecc, R_peri, R_incl
+  ! A1.2 Geoide
+  REAL RA, RG, R1SA
+  ! A1.3 Radiation
+  !     REAL RSIGMA,RI0
+  REAL RSIGMA
+  ! A1.4 Thermodynamic gas phase
+  REAL RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12
+  REAL R, RMD, RMV, RD, RV, RCPD, RCPV, RCVD, RCVV
+  REAL RKAPPA, RETV, eps_w
+  ! A1.5,6 Thermodynamic liquid,solid phases
+  REAL RCW, RCS
+  ! A1.7 Thermodynamic transition of phase
+  REAL RLVTT, RLSTT, RLMLT, RTT, RATM
+  ! A1.8 Curve of saturation
+  REAL RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS
+  REAL RALPD, RBETD, RGAMD
+
+  COMMON/YOMCST/RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+  !$OMP THREADPRIVATE(/YOMCST/)
+
+end module lmdz_yomcst
